Delete Task State
curl --request DELETE \
--url https://api.example.com/states/{state_id}import requests
url = "https://api.example.com/states/{state_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/states/{state_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>",
"agent_id": "<string>",
"state": {},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}States
Delete Task State
DELETE
/
states
/
{state_id}
Delete Task State
Path Parameters
Response
Successful Response
Represents a state in the agent system. A state is associated uniquely with a task and an agent.
This entity is used to store states in MongoDB, with each state associated with a specific task and agent. The combination of task_id and agent_id is globally unique.
The state is a dictionary of arbitrary data.

